GNU bug report logs - #22110
True color support

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Eric Becker <121onto@HIDDEN>; merged with #20243; Forwarded to http://lists.gnu.org/archive/html/emacs-devel/2013-10/msg00461.html; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Set bug forwarded-to-address to 'http://lists.gnu.org/archive/html/emacs-devel/2013-10/msg00461.html'. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 20243 22110. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 22110 <at> debbugs.gnu.org:


Received: (at 22110) by debbugs.gnu.org; 7 Dec 2015 18:03:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 07 13:03:43 2015
Received: from localhost ([127.0.0.1]:41960 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a608U-0005gj-AX
	for submit <at> debbugs.gnu.org; Mon, 07 Dec 2015 13:03:42 -0500
Received: from mtaout22.012.net.il ([80.179.55.172]:60010)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1a6089-0005gJ-5z
 for 22110 <at> debbugs.gnu.org; Mon, 07 Dec 2015 13:03:40 -0500
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0NZ0005001ZM7700@HIDDEN> for 22110 <at> debbugs.gnu.org;
 Mon, 07 Dec 2015 20:03:19 +0200 (IST)
Received: from HOME-C4E4A596F7 ([84.94.185.246]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NZ00055N25J2930@HIDDEN>;
 Mon, 07 Dec 2015 20:03:19 +0200 (IST)
Date: Mon, 07 Dec 2015 20:03:15 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#22110: True color support
In-reply-to: <CAAyrJbE723Qb04WYc1xu9vniU=gOeEndy=h_25reVJ840O-B=g@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Eric Becker <121onto@HIDDEN>
Message-id: <83vb8acf18.fsf@HIDDEN>
References: <CAAyrJbE723Qb04WYc1xu9vniU=gOeEndy=h_25reVJ840O-B=g@HIDDEN>
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: 22110
Cc: 22110 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.9 (/)

> From: Eric Becker <121onto@HIDDEN>
> Date: Mon, 7 Dec 2015 08:56:59 -0800
> 
> Many modern themes rely on true color support. Unfortunately, terminal emacs
> does not support true colors. There are patches available:
> 
> https://github.com/zenorocha/dracula-theme/issues/116
> 
> This patch appears to be no more than a few lines of code.

It's much more than just a few lines.  I also don't quite understand
why xfaces.c needs to be changed and would like to avoid that if
possible.

> Why not integrate true color support into the next release of emacs? 

I was in the middle of discussing this 2 years ago, when the
discussion stalled.  I hope the author will come back, rebase his
patch, and continue the discussion where we left off back then.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22110; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Dec 2015 17:37:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 07 12:37:44 2015
Received: from localhost ([127.0.0.1]:41941 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a5zjL-0003QH-Rg
	for submit <at> debbugs.gnu.org; Mon, 07 Dec 2015 12:37:44 -0500
Received: from eggs.gnu.org ([208.118.235.92]:50318)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eric.becker.m@HIDDEN>) id 1a5z6c-0000pG-OP
 for submit <at> debbugs.gnu.org; Mon, 07 Dec 2015 11:57:43 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eric.becker.m@HIDDEN>) id 1a5z6b-0004Hg-GX
 for submit <at> debbugs.gnu.org; Mon, 07 Dec 2015 11:57:42 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.6 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 FROM_STARTS_WITH_NUMS,HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:39076)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <eric.becker.m@HIDDEN>) id 1a5z6b-0004Hc-DC
 for submit <at> debbugs.gnu.org; Mon, 07 Dec 2015 11:57:41 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:60317)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <eric.becker.m@HIDDEN>) id 1a5z6a-0005RN-FR
 for bug-gnu-emacs@HIDDEN; Mon, 07 Dec 2015 11:57:41 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eric.becker.m@HIDDEN>) id 1a5z6Z-0004HH-JT
 for bug-gnu-emacs@HIDDEN; Mon, 07 Dec 2015 11:57:40 -0500
Received: from mail-qk0-x22a.google.com ([2607:f8b0:400d:c09::22a]:32953)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <eric.becker.m@HIDDEN>) id 1a5z6Z-0004HD-GB
 for bug-gnu-emacs@HIDDEN; Mon, 07 Dec 2015 11:57:39 -0500
Received: by qkdb5 with SMTP id b5so33474686qkd.0
 for <bug-gnu-emacs@HIDDEN>; Mon, 07 Dec 2015 08:57:38 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:sender:from:date:message-id:subject:to:content-type;
 bh=KRPSbk9H5hGbD80lbZYe3EkwOQ/ADA5Y4sICM77itTA=;
 b=FSO93KnAmrJcGCETON+owCP31ksCUKRtf4yLWe0hicBN8SL8ZjSbKcQcuprUM8JDXc
 KOEOPGRzg38CCapwFtYbn37qwECQpR4/6fPj9L4KdMTiAGXxV0J344qrmlfnjpo8kLr8
 y+Pa2BEVAqMOYj7O31E6ZscZFXdECcz/dBEyx4teB5u/a0rFQVK+V2sys10ctfbEYt06
 WA9kXu614dIHsRrbqAT04k/dlEqQJ56OaXMxbTt12isq//YsLzeyZxJ0rWAfp4GBymtk
 +JruBqRVB8fT4QUx7KiMDX3hKxXEtSEwD68AwFIXJ+rXpv0eNWKI5Een56PXTaz9r5qF
 Enag==
X-Received: by 10.55.71.199 with SMTP id u190mr38881821qka.3.1449507458675;
 Mon, 07 Dec 2015 08:57:38 -0800 (PST)
MIME-Version: 1.0
Received: by 10.55.192.78 with HTTP; Mon, 7 Dec 2015 08:56:59 -0800 (PST)
From: Eric Becker <121onto@HIDDEN>
Date: Mon, 7 Dec 2015 08:56:59 -0800
X-Google-Sender-Auth: s3H8o2v0MugZ4b_SudT9ZwA1Gl4
Message-ID: <CAAyrJbE723Qb04WYc1xu9vniU=gOeEndy=h_25reVJ840O-B=g@HIDDEN>
Subject: True color support
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary=001a114a86182c7c35052651c1fa
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.5 (---)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 07 Dec 2015 12:37:42 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.5 (---)

--001a114a86182c7c35052651c1fa
Content-Type: text/plain; charset=UTF-8

Many modern themes rely on true color support.  Unfortunately, terminal
emacs does not support true colors.  There are patches available:

https://github.com/zenorocha/dracula-theme/issues/116

This patch appears to be no more than a few lines of code.  Unfortunately,
the patch is out of date.

Why not integrate true color support into the next release of emacs?

Thanks very much for your development efforts!

--001a114a86182c7c35052651c1fa
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Many modern themes rely on true color support.=C2=A0 Unfor=
tunately, terminal emacs does not support true colors.=C2=A0 There are patc=
hes available:<div><br></div><div><a href=3D"https://github.com/zenorocha/d=
racula-theme/issues/116" target=3D"_blank">https://github.com/zenorocha/dra=
cula-theme/issues/116</a><br></div><div><br></div><div>This patch appears t=
o be no more than a few lines of code.=C2=A0 Unfortunately, the patch is ou=
t of date. =C2=A0</div><div><br></div><div>Why not integrate true color sup=
port into the next release of emacs?=C2=A0=C2=A0</div><div><br></div><div>T=
hanks very much for your development efforts!</div><div><br></div></div>

--001a114a86182c7c35052651c1fa--




Acknowledgement sent to Eric Becker <121onto@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#22110; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 7 Dec 2015 18:30:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.